edu.northwestern.at.morphadorner.corpuslinguistics.thesaurus

## Class DefaultThesaurus

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.thesaurus.AbstractThesaurus
    - - edu.northwestern.at.morphadorner.corpuslinguistics.thesaurus.WordnetThesaurus
      - - edu.northwestern.at.morphadorner.corpuslinguistics.thesaurus.DefaultThesaurus

- All Implemented Interfaces:
    Thesaurus, IsCloseable, UsesLogger

      public class DefaultThesaurus
      extends WordnetThesaurus
      implements Thesaurus

  DefaultThesaurus: The default MorphAdorner English thesaurus.

  The default thesaurus uses WordNet to find synonyms and antonyms.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.thesaurus.WordnetThesaurus

      `DATABASE_DIRECTORY, defaultDataDirectory, wordnetData`

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.thesaurus.AbstractThesaurus

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultThesaurus()` Create the default thesaurus.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.thesaurus.WordnetThesaurus

      `getAntonyms, getAntonyms, getSynonyms, getSynonyms, getWordClassSynsetType, getWordNetDataDirectory, setWordNetDataDirectory`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.thesaurus.AbstractThesaurus

      `getLogger, setLogger`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.thesaurus.Thesaurus

      `getAntonyms, getAntonyms, getSynonyms, getSynonyms`

    - ### Methods inherited from interface edu.northwestern.at.utils.IsCloseable

      `close`

- - ### Constructor Detail

    - #### DefaultThesaurus

          public DefaultThesaurus()
                           throws java.io.FileNotFoundException,
                                  java.io.IOException

      Create the default thesaurus.
      Throws:
        `java.io.FileNotFoundException`
        `java.io.IOException`